/**
 * An entity implementing this interface has a weight property.
 */
interface WeightedEntityInterface {
  /**
   * the weight, mathematically a number (0,1], practically between (0,Number.MAX_SAFE_INTEGER]
   * the weight can also be not not defined, null in the database
   */
  weight: number | null;
}
